Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161906 - SNMP and vmstat do not match
Summary: SNMP and vmstat do not match
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp
Version: 3.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 12:19 UTC by Bad Mojo
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-22 12:23:44 UTC


Attachments (Terms of Use)

Description Bad Mojo 2005-06-28 12:19:27 UTC
Description of problem:
# vmstat 1 10; snmpwalk -v2c -c public localhost systemStats
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy wa id
 0  0      0 1138080 258656 3305824    0    0     4    59 1911   826 48  2  0 50
 0  0      0 1138080 258656 3305824    0    0     0     4 2137   124  1  0  0 98
 0  0      0 1138080 258656 3305824    0    0     0     0 2118   113  1  0  0 99
 0  0      0 1138080 258656 3305824    0    0     0     0 2089   109  0  0  0 100
 0  0      0 1138080 258656 3305824    0    0     0     0 2077    81  0  0  0 100
 0  0      0 1138080 258656 3305824    0    0     0    68 2071    89  0  0  0 100
 0  0      0 1138080 258656 3305824    0    0     0     0 2057    64  0  0  0 100
 0  0      0 1138080 258656 3305824    0    0     0     0 2072    87  0  0  0 100
 0  0      0 1138080 258656 3305824    0    0     0     0 2059    67  0  0  0 100
 0  0      0 1138080 258656 3305824    0    0     0     0 2149    82  5  0  0 95
UCD-SNMP-MIB::ssIndex.0 = INTEGER: 1
UCD-SNMP-MIB::ssErrorName.0 = STRING: systemStats
UCD-SNMP-MIB::ssSwapIn.0 = INTEGER: 0
UCD-SNMP-MIB::ssSwapOut.0 = INTEGER: 0
UCD-SNMP-MIB::ssIOSent.0 = INTEGER: 4
UCD-SNMP-MIB::ssIOReceive.0 = INTEGER: 59
UCD-SNMP-MIB::ssSysInterrupts.0 = INTEGER: 1915
UCD-SNMP-MIB::ssSysContext.0 = INTEGER: 828
UCD-SNMP-MIB::ssCpuUser.0 = INTEGER: 47
UCD-SNMP-MIB::ssCpuSystem.0 = INTEGER: 2
UCD-SNMP-MIB::ssCpuIdle.0 = INTEGER: 50
UCD-SNMP-MIB::ssCpuRawUser.0 = Counter32: 657964637
UCD-SNMP-MIB::ssCpuRawNice.0 = Counter32: 33681
UCD-SNMP-MIB::ssCpuRawSystem.0 = Counter32: 27743292
UCD-SNMP-MIB::ssCpuRawIdle.0 = Counter32: 687051308
UCD-SNMP-MIB::ssRawInterrupts.0 = Counter32: 2567422935
UCD-SNMP-MIB::ssRawContexts.0 = Counter32: 1110246982

Essentially, vmstat and snmp do not seem to display similar data. Even if I set
up an MRTG graph to use the ssCpuRaw* IODs to map CPU usage, the data is well
off from what load the system is actually seeing. The load information from SNMP
does seem to match actual system load.


Version-Release number of selected component (if applicable):

net-snmp-utils-5.0.9-2.30E.15
net-snmp-5.0.9-2.30E.15
net-snmp-libs-5.0.9-2.30E.15

How reproducible:

Very.

Steps to Reproduce:
1. See the first section.

Additional info:
This is running in a dell 7250 itanium server and is therefore using the ia64 RHEL.

Comment 1 Radek Vokal 2005-08-22 12:23:44 UTC
 (In reply to comment #0)
> procs                      memory      swap          io     system         cpu
>  r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy wa id
>  0  0      0 1138080 258656 3305824    0    0     4    59 1911   826 48  2  0 50

I think the values you get are quite similar to the first line of vmstat output
(If I'm comparing correctly last 5 numbers) 



Note You need to log in before you can comment on or make changes to this bug.